# babel-preset-spaceship

[![npm](https://img.shields.io/npm/v/babel-preset-spaceship.svg)](https://www.npmjs.com/package/babel-preset-spaceship)

The goal of this project is to provide minimal transformations on the server and all required transformations on the client.

## Installation

    npm install --save-dev babel-preset-spaceship

## Usage

Add to `.babelrc`

```json
{
  "presets": ["spaceship"],
  "plugins": ["transform-runtime"]
}
```

Set `BABEL_ENV` to one of the following:

- `client` for browsers
- `webpack` for webpack
- `server` for node (v6+)
- `test` for mocha/istanbul

Example:

    BABEL_ENV=client NODE_ENV=production babel src -d ./build -s --copy-files

## License

Copyright (c) 2017 Marius Craciunoiu. Licensed under the MIT license.
